/*
 * verticaodbc.h
 *
 * Defines Vertica-specific properties
 *
 *  Copyright (c) 2011 - 2015 Hewlett Packard Enterprise Development LP 
 *
 *  Creation Date: December 14, 2011
 */

#ifndef VERTICAODBC_H_
#define VERTICAODBC_H_

/* Obsolete / deprecated options are commented out */

/* #define SQL_ATTR_VERTICA_LRS_PATH      12000 */
/*#define SQL_ATTR_VERTICA_MAX_MEM_CACHE 12001 - replaced with SQL_ATTR_VERTICA_RESULT_BUFFER_SIZE*/
#define SQL_ATTR_VERTICA_RESULT_BUFFER_SIZE 12001
/*#define SQL_ATTR_VERTICA_LRS_STREAMING 12002*/
/*#define SQL_ATTR_VERTICA_SUPPRESS_WARNINGS 12003*/
#define SQL_ATTR_VERTICA_DIRECT_BATCH_INSERT 12004
/*#define SQL_ATTR_VERTICA_ABORT_ON_ERROR 12005*/
/*#define SQL_ATTR_VERTICA_NUM_ACCEPTED_ROWS 12006*/
/*#define SQL_ATTR_VERTICA_NUM_REJECTED_ROWS 12007*/
/*#define SQL_ATTR_VERTICA_BATCH_AUTO_COMPLETE 12008*/
/*#define SQL_ATTR_VERTICA_BATCH_INSERT_NULL 12009*/
/*#define SQL_ATTR_VERTICA_BATCH_INSERT_RECORD_TERMINATOR 12010*/
#define SQL_ATTR_VERTICA_LOCALE 12011
/*#define SQL_ATTR_VERTICA_BATCH_INSERT_BINARY_COPY 12012*/
/*#define SQL_ATTR_VERTICA_BATCH_INSERT_MANAGED 12013*/
/*#define SQL_ATTR_VERTICA_USE35COPYPARAMETERS 12015*/
/*#define SQL_ATTR_VERTICA_USE35COPYFORMAT 12016*/
#define SQL_ATTR_VERTICA_DRIVER_IDENTIFICATION 12017
#endif /* VERTICAODBC_H_ */
